Bug 842593 - felix-utils - compile with -target 1.5 or greater
felix-utils - compile with -target 1.5 or greater
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: felix-utils (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jaromír Cápík
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 842394
  Show dependency treegraph
 
Reported: 2012-07-24 05:23 EDT by Mikolaj Izdebski
Modified: 2016-01-31 20:56 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-03 12:15:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2012-07-24 05:23:59 EDT
Package felix-utils appears to be using Java generics,
but generates class files in format older than 49.0,
which corresponds to J2SE 5.0, in which generics were introduced.

Please update this package to generate classes in format 49.0 or
above. This corresponds to -target 1.5 option of javac (or ecj).

For more information, see bug #842394
Comment 1 Jaromír Cápík 2013-01-03 12:15:13 EST
pom.xml patched ... package rebuilt ... closing

Note You need to log in before you can comment on or make changes to this bug.